Description

Mapping of CVS data is not handled consistently for taxa with infraspecific members. For example, a search on Acer rubrum
produces a map with CVS data for A. rubrum only, with no var. rubrum or var. trilobum CVS records shown. A search on Acer
rubrum var. rubrum yields a map with CVS records for var. rubrum, but no species level A. rubrum CVS data. Mapping is not
handled this way for the other data sources. (The same problem does appear to apply to NCNHP data, however. Try mapping
Hymenocallis occidentalis compared to H. occidentalis var. occidentalis.)

RKP: A map of Acer rubrum var rubrum shows some counties with CVS records that are not present in the map of Acer rubrum (eg
NC Randolph, Davidson, Rowan, Catawba, Alexandar; TN Monroe, Carter). CVS vars should nest up into the parent!! This is an
error that needs to be fixed. Perhaps this applies to other data types that conform to Weakley concepts (eg NCNHP)?

History

#1 - 10/27/2006 04:11 PM - Michael Lee

contributed by Lisa Giencke & Stephen Seiberling
Comments by Bob Peet followed by RKP:

#2 - 10/29/2006 11:07 AM - Xianhua Liu

In NCU flora (the website), different data sources (e.g. CVS, NCU) follow different concept standands (e.g. Weakley, Small). These source-concept
mappings are stored in the database and can be changed easily. Currently, CVS and NCNHP are set to follow Weakly's concepts. Since we query by
Weakley's concepts, all hits in these sources contain no ambiguity. For other sources, such as NCU, the concept standards are not not clear. So we
set them to follow the nominal concepts. If a nominal concept is greater than the Weakley's concept by which we run the query, specimens of that
nominal concept will be treated as ambiguous identifications.

#3 - 10/30/2006 03:00 PM - Robert Peet
There remains a pervasive and important problem that a map of a taxon does not necessarily include its children. This needs to be fixed.

One example is the Acer rubrum one given in the original description of the bug. CVS records for subspecific taxa do appear in the maps of the parent
species.

A similar but slightly different case occurs where Weakly splits a species into vars whereas RAB recognized only the full species. Two examples are

Acer negundo and Toxicodendron radicans. None of the Radford records, which were reported as full species, appear in the maps of the full species,
but they do occur ambiguously in the variety maps.

#4 - 11/05/2006 03:04 PM - Xianhua Liu

Whether or not children taxa are included depends on whether or not relationships are made between the parent and its children. The querying
algorithm will search all related concepts in all data sources. Since there is a relationship: Acer rubrum (Alan Weakley) > Acer rubrum var. rubrum
(nominal) and given that NCU follows nominal concepts, Acer rubrum var. rubrum from NCU should be included in the result when querying by Acer
rubrum (Alan Weakley).

#5 - 11/05/2006 10:06 PM - Robert Peet
Not yet fixed.

A search on Hymenocallis occidentalis has far fewer counties shaded than a seach on Hymenocallis occcidentalis var occidentalis? This should
never be the case!

If you compare the CVS maps of Acer rubrum var rubrum & A. rubrum you will find variety records that are not present in the species map.

Variety records should nest up and become species records.

#6 - 12/01/2006 04:52 PM - xianhua liu
| checked the Hymenocallis occidentalis and Hymenocallis occidentalis var. occidentalis records and list their related concepts as following:

Hymenocallis occidentalis:

1. Hymenocallis occidentalis (Alan Weakley) <= Hymenocallis sp. (GW)

2. Hymenocallis occidentalis (Alan Weakley) <= Hymenocallis occidentalis (S)

3. Hymenocallis occidentalis (Alan Weakley) = Hymenocallis occidentalis var. occidentalis (Z)

4. Hymenocallis occidentalis (Alan Weakley) = Hymenocallis occidentalis var. occidentalis (FNA)
5. Hymenocallis occidentalis (Alan Weakley) = Hymenocallis occidentalis (Z)

6. Hymenocallis occidentalis (Alan Weakley) = Hymenocallis occidentalis (FNA)

Relationships to nominal concepts:

7. Hymenocallis occidentalis (Alan Weakley) <= Hymenocallis sp. (nominal)

8. Hymenocallis occidentalis (Alan Weakley) <= Hymenocallis occidentalis (nominal)

9. Hymenocallis occidentalis (Alan Weakley) = Hymenocallis occidentalis var. occidentalis (nominal)

Hymenocallis occidentalis var. occidentalis:

1. Hymenocallis occidentalis var. occidentalis (Alan Weakley) = Hymenocallis occidentalis var. occidentalis (FNA)
2. Hymenocallis occidentalis var. occidentalis (Alan Weakley) < Hymenocallis sp. (GW)

3. Hymenocallis occidentalis var. occidentalis (Alan Weakley) ? Hymenocallis caroliniana (K)

4. Hymenocallis occidentalis var. occidentalis (Alan Weakley) < Hymenocallis occidentalis (S)

5. Hymenocallis occidentalis var. occidentalis (Alan Weakley) = Hymenocallis occidentalis var. occidentalis (2)

6. Hymenocallis occidentalis var. occidentalis (Alan Weakley) = Hymenocallis occidentalis (Z)

7. Hymenocallis occidentalis var. occidentalis (Alan Weakley) = Hymenocallis occidentalis (FNA)

Relationships to nominal concepts:

8. Hymenocallis occidentalis var. occidentalis (Alan Weakley) = Hymenocallis occidentalis var. occidentalis (nominal)
9. Hymenocallis occidentalis var. occidentalis (Alan Weakley) < Hymenocallis sp. (nominal)

10. Hymenocallis occidentalis var. occidentalis (Alan Weakley) ? Hymenocallis caroliniana (nominal)

11. Hymenocallis occidentalis var. occidentalis (Alan Weakley) <= Hymenocallis occidentalis (nominal)

Noticed that Hymenocallis occidentalis var. occidentalis has a "?" relationship to Hymenocallis caroliniana (K), while Hymenocallis occidentalis does
not. So Hymenocallis occidentalis var. occidentalis has more related nominal concepts, which results in more records found for Hymenocallis
occidentalis var. occidentalis.

To resolve this problem, we need new inferring rule to handle the situation where a concept has a child concept that has "?" relationship with another
concept. What is the relationship between the parent concept to that concept?

#7 - 12/02/2006 10:52 AM - Robert Peet

The problem remains that children need to nest up into their parents. For example, all Acer rubrum var rubrum sec Weakley records should occur in
the map of Acer rubrum. They do not. This is a problem with many taxa. Perhaps the solution is to add relationhips to the relationship list pointing all
children of a taxon to its pareants in the system of the parent. For example, there should be a generic relationship that 'Aus beus var whatever'
Weakley < 'Aus beus' Weakley, which would then cause all the records of 'Aus beus var whatever' sec Weakley to appear in the map of 'Aus beus'.

#8 - 12/03/2006 11:00 AM - xianhua liu

Considering the Hymenocallis occidentalis example, to include Hymenocallis

caroliniana (nominal) records in the map of Hymenocallis occidentalis sec Weakley, we need a relationship between them, that is to say, we need to
infer the relationship between the parent to its children's related concepts to decide whether a record from a data source is ambiguous or not. For
example:

Given: A (Weakley) > A var a (Weakley)

if A var a (Weakley) = B (Small) then A (Weakley) > B (Small)
if A var a (Weakley) > B (Small) then A (Weakley) > B (Small)

However, if A var a (Weakley) < B (Small) then what? It is OK if we already have a relationship between A (Weakley) and B (Small) at the parent
level. We just use it. But if there is no one, we need to infer it. Could we just assume A (Weakley) < B (Small)? Obviously, it is not reasonable. To
express this dilema in another way, ambiguous record of a children concept is not necessarily ambiguous for its parent. What is the better way to
resolve this problem?

#9 - 03/27/2013 02:20 PM - Redmine Admin
Original Bugzilla ID was 2581
